Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.script.rhino
Class BatikSecurityController

    java.lang.Object
      org.mozilla.javascript.SecurityController
          org.apache.batik.script.rhino.BatikSecurityController

public class BatikSecurityController
extends org.mozilla.javascript.SecurityController

This implementation of the Rhino `SecurityController` interface is meant for use within the context of Batik only. It is a partial implementation of the interface that does what is needed by Batik and no more.

Constructor Summary
`BatikSecurityController()`

Method Summary
`org.mozilla.javascript.GeneratedClassLoader` | `createClassLoader(java.lang.ClassLoader parentLoader, java.lang.Object securityDomain)` Default constructor
`java.lang.Object` | `execWithDomain(org.mozilla.javascript.Context cx, org.mozilla.javascript.Scriptable scope, org.mozilla.javascript.Script script, java.lang.Object securityDomain)` Call `Script.exec(Context cx, Scriptable scope)` of script under restricted security domain where an action is allowed only if it is allowed according to the Java stack on the moment of the execWithDomain call and securityDomain.
`java.lang.Object` | `getDynamicSecurityDomain(java.lang.Object securityDomain)` Get dynamic security domain that allows an action only if it is allowed by the current Java stack and securityDomain.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BatikSecurityController

    public BatikSecurityController()

Method Detail

### createClassLoader

    public org.mozilla.javascript.GeneratedClassLoader createClassLoader(java.lang.ClassLoader parentLoader,
                                                                         java.lang.Object securityDomain)

  Default constructor

### getDynamicSecurityDomain

    public java.lang.Object getDynamicSecurityDomain(java.lang.Object securityDomain)

  Get dynamic security domain that allows an action only if it is allowed by the current Java stack and securityDomain. If securityDomain is null, return domain representing permissions allowed by the current stack.

### execWithDomain

    public java.lang.Object execWithDomain(org.mozilla.javascript.Context cx,
                                           org.mozilla.javascript.Scriptable scope,
                                           org.mozilla.javascript.Script script,
                                           java.lang.Object securityDomain)
                                    throws org.mozilla.javascript.JavaScriptException

  Call `Script.exec(Context cx, Scriptable scope)` of script under restricted security domain where an action is allowed only if it is allowed according to the Java stack on the moment of the execWithDomain call and securityDomain. Any call to `getDynamicSecurityDomain(Object)` during execution of `Script.exec(Context cx, Scriptable scope)` should return a domain incorporate restrictions imposed by securityDomain.

  Throws:
    `org.mozilla.javascript.JavaScriptException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Apache Software Foundation. All Rights Reserved.